[
{
  "directory": "/home/erris/projects/open_engine/open_engine/build",
  "command": "/usr/bin/clang++ -DFMT_SHARED -DOE_ENABLE_ASSERTS -DSPDLOG_COMPILED_LIB -DSPDLOG_FMT_EXTERNAL -DSPDLOG_SHARED_LIB -I/home/erris/projects/open_engine/open_engine/include/open_engine -I/home/erris/projects/open_engine/open_engine/vendor/stb_image -I/home/erris/projects/open_engine/open_engine/include -I/home/erris/.conan2/p/b/imguic69fe98538919/p/include -I/home/erris/projects/open_engine/open_engine/vendor/glad/include -g -std=gnu++20 -Winvalid-pch -fpch-instantiate-templates -Xclang -emit-pch -Xclang -include -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx -x c++-header -o CMakeFiles/open_engine.dir/cmake_pch.hxx.pch -c /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx.cxx",
  "file": "/home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx.cxx",
  "output": "/home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx.pch"
},
{
  "directory": "/home/erris/projects/open_engine/open_engine/build",
  "command": "/usr/bin/clang++ -DFMT_SHARED -DOE_ENABLE_ASSERTS -DSPDLOG_COMPILED_LIB -DSPDLOG_FMT_EXTERNAL -DSPDLOG_SHARED_LIB -I/home/erris/projects/open_engine/open_engine/include/open_engine -I/home/erris/projects/open_engine/open_engine/vendor/stb_image -I/home/erris/projects/open_engine/open_engine/include -I/home/erris/.conan2/p/b/imguic69fe98538919/p/include -I/home/erris/projects/open_engine/open_engine/vendor/glad/include -g -std=gnu++20 -Winvalid-pch -Xclang -include-pch -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx.pch -Xclang -include -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx @CMakeFiles/open_engine.dir/src/open_engine/application.cpp.o.modmap -o CMakeFiles/open_engine.dir/src/open_engine/application.cpp.o -c /home/erris/projects/open_engine/open_engine/src/open_engine/application.cpp",
  "file": "/home/erris/projects/open_engine/open_engine/src/open_engine/application.cpp",
  "output": "/home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/src/open_engine/application.cpp.o"
},
{
  "directory": "/home/erris/projects/open_engine/open_engine/build",
  "command": "/usr/bin/clang++ -DFMT_SHARED -DOE_ENABLE_ASSERTS -DSPDLOG_COMPILED_LIB -DSPDLOG_FMT_EXTERNAL -DSPDLOG_SHARED_LIB -I/home/erris/projects/open_engine/open_engine/include/open_engine -I/home/erris/projects/open_engine/open_engine/vendor/stb_image -I/home/erris/projects/open_engine/open_engine/include -I/home/erris/.conan2/p/b/imguic69fe98538919/p/include -I/home/erris/projects/open_engine/open_engine/vendor/glad/include -g -std=gnu++20 -Winvalid-pch -Xclang -include-pch -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx.pch -Xclang -include -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx @CMakeFiles/open_engine.dir/src/open_engine/core/time.cpp.o.modmap -o CMakeFiles/open_engine.dir/src/open_engine/core/time.cpp.o -c /home/erris/projects/open_engine/open_engine/src/open_engine/core/time.cpp",
  "file": "/home/erris/projects/open_engine/open_engine/src/open_engine/core/time.cpp",
  "output": "/home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/src/open_engine/core/time.cpp.o"
},
{
  "directory": "/home/erris/projects/open_engine/open_engine/build",
  "command": "/usr/bin/clang++ -DFMT_SHARED -DOE_ENABLE_ASSERTS -DSPDLOG_COMPILED_LIB -DSPDLOG_FMT_EXTERNAL -DSPDLOG_SHARED_LIB -I/home/erris/projects/open_engine/open_engine/include/open_engine -I/home/erris/projects/open_engine/open_engine/vendor/stb_image -I/home/erris/projects/open_engine/open_engine/include -I/home/erris/.conan2/p/b/imguic69fe98538919/p/include -I/home/erris/projects/open_engine/open_engine/vendor/glad/include -g -std=gnu++20 -Winvalid-pch -Xclang -include-pch -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx.pch -Xclang -include -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx @CMakeFiles/open_engine.dir/src/open_engine/events/application_event.cpp.o.modmap -o CMakeFiles/open_engine.dir/src/open_engine/events/application_event.cpp.o -c /home/erris/projects/open_engine/open_engine/src/open_engine/events/application_event.cpp",
  "file": "/home/erris/projects/open_engine/open_engine/src/open_engine/events/application_event.cpp",
  "output": "/home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/src/open_engine/events/application_event.cpp.o"
},
{
  "directory": "/home/erris/projects/open_engine/open_engine/build",
  "command": "/usr/bin/clang++ -DFMT_SHARED -DOE_ENABLE_ASSERTS -DSPDLOG_COMPILED_LIB -DSPDLOG_FMT_EXTERNAL -DSPDLOG_SHARED_LIB -I/home/erris/projects/open_engine/open_engine/include/open_engine -I/home/erris/projects/open_engine/open_engine/vendor/stb_image -I/home/erris/projects/open_engine/open_engine/include -I/home/erris/.conan2/p/b/imguic69fe98538919/p/include -I/home/erris/projects/open_engine/open_engine/vendor/glad/include -g -std=gnu++20 -Winvalid-pch -Xclang -include-pch -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx.pch -Xclang -include -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx @CMakeFiles/open_engine.dir/src/open_engine/events/key_event.cpp.o.modmap -o CMakeFiles/open_engine.dir/src/open_engine/events/key_event.cpp.o -c /home/erris/projects/open_engine/open_engine/src/open_engine/events/key_event.cpp",
  "file": "/home/erris/projects/open_engine/open_engine/src/open_engine/events/key_event.cpp",
  "output": "/home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/src/open_engine/events/key_event.cpp.o"
},
{
  "directory": "/home/erris/projects/open_engine/open_engine/build",
  "command": "/usr/bin/clang++ -DFMT_SHARED -DOE_ENABLE_ASSERTS -DSPDLOG_COMPILED_LIB -DSPDLOG_FMT_EXTERNAL -DSPDLOG_SHARED_LIB -I/home/erris/projects/open_engine/open_engine/include/open_engine -I/home/erris/projects/open_engine/open_engine/vendor/stb_image -I/home/erris/projects/open_engine/open_engine/include -I/home/erris/.conan2/p/b/imguic69fe98538919/p/include -I/home/erris/projects/open_engine/open_engine/vendor/glad/include -g -std=gnu++20 -Winvalid-pch -Xclang -include-pch -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx.pch -Xclang -include -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx @CMakeFiles/open_engine.dir/src/open_engine/events/mouse_event.cpp.o.modmap -o CMakeFiles/open_engine.dir/src/open_engine/events/mouse_event.cpp.o -c /home/erris/projects/open_engine/open_engine/src/open_engine/events/mouse_event.cpp",
  "file": "/home/erris/projects/open_engine/open_engine/src/open_engine/events/mouse_event.cpp",
  "output": "/home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/src/open_engine/events/mouse_event.cpp.o"
},
{
  "directory": "/home/erris/projects/open_engine/open_engine/build",
  "command": "/usr/bin/clang++ -DFMT_SHARED -DOE_ENABLE_ASSERTS -DSPDLOG_COMPILED_LIB -DSPDLOG_FMT_EXTERNAL -DSPDLOG_SHARED_LIB -I/home/erris/projects/open_engine/open_engine/include/open_engine -I/home/erris/projects/open_engine/open_engine/vendor/stb_image -I/home/erris/projects/open_engine/open_engine/include -I/home/erris/.conan2/p/b/imguic69fe98538919/p/include -I/home/erris/projects/open_engine/open_engine/vendor/glad/include -g -std=gnu++20 -Winvalid-pch -Xclang -include-pch -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx.pch -Xclang -include -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx @CMakeFiles/open_engine.dir/src/open_engine/imgui/imgui_layer.cpp.o.modmap -o CMakeFiles/open_engine.dir/src/open_engine/imgui/imgui_layer.cpp.o -c /home/erris/projects/open_engine/open_engine/src/open_engine/imgui/imgui_layer.cpp",
  "file": "/home/erris/projects/open_engine/open_engine/src/open_engine/imgui/imgui_layer.cpp",
  "output": "/home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/src/open_engine/imgui/imgui_layer.cpp.o"
},
{
  "directory": "/home/erris/projects/open_engine/open_engine/build",
  "command": "/usr/bin/clang++ -DFMT_SHARED -DOE_ENABLE_ASSERTS -DSPDLOG_COMPILED_LIB -DSPDLOG_FMT_EXTERNAL -DSPDLOG_SHARED_LIB -I/home/erris/projects/open_engine/open_engine/include/open_engine -I/home/erris/projects/open_engine/open_engine/vendor/stb_image -I/home/erris/projects/open_engine/open_engine/include -I/home/erris/.conan2/p/b/imguic69fe98538919/p/include -I/home/erris/projects/open_engine/open_engine/vendor/glad/include -g -std=gnu++20 -Winvalid-pch -Xclang -include-pch -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx.pch -Xclang -include -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx @CMakeFiles/open_engine.dir/src/open_engine/input/linux_input.cpp.o.modmap -o CMakeFiles/open_engine.dir/src/open_engine/input/linux_input.cpp.o -c /home/erris/projects/open_engine/open_engine/src/open_engine/input/linux_input.cpp",
  "file": "/home/erris/projects/open_engine/open_engine/src/open_engine/input/linux_input.cpp",
  "output": "/home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/src/open_engine/input/linux_input.cpp.o"
},
{
  "directory": "/home/erris/projects/open_engine/open_engine/build",
  "command": "/usr/bin/clang++ -DFMT_SHARED -DOE_ENABLE_ASSERTS -DSPDLOG_COMPILED_LIB -DSPDLOG_FMT_EXTERNAL -DSPDLOG_SHARED_LIB -I/home/erris/projects/open_engine/open_engine/include/open_engine -I/home/erris/projects/open_engine/open_engine/vendor/stb_image -I/home/erris/projects/open_engine/open_engine/include -I/home/erris/.conan2/p/b/imguic69fe98538919/p/include -I/home/erris/projects/open_engine/open_engine/vendor/glad/include -g -std=gnu++20 -Winvalid-pch -Xclang -include-pch -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx.pch -Xclang -include -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx @CMakeFiles/open_engine.dir/src/open_engine/layer.cpp.o.modmap -o CMakeFiles/open_engine.dir/src/open_engine/layer.cpp.o -c /home/erris/projects/open_engine/open_engine/src/open_engine/layer.cpp",
  "file": "/home/erris/projects/open_engine/open_engine/src/open_engine/layer.cpp",
  "output": "/home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/src/open_engine/layer.cpp.o"
},
{
  "directory": "/home/erris/projects/open_engine/open_engine/build",
  "command": "/usr/bin/clang++ -DFMT_SHARED -DOE_ENABLE_ASSERTS -DSPDLOG_COMPILED_LIB -DSPDLOG_FMT_EXTERNAL -DSPDLOG_SHARED_LIB -I/home/erris/projects/open_engine/open_engine/include/open_engine -I/home/erris/projects/open_engine/open_engine/vendor/stb_image -I/home/erris/projects/open_engine/open_engine/include -I/home/erris/.conan2/p/b/imguic69fe98538919/p/include -I/home/erris/projects/open_engine/open_engine/vendor/glad/include -g -std=gnu++20 -Winvalid-pch -Xclang -include-pch -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx.pch -Xclang -include -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx @CMakeFiles/open_engine.dir/src/open_engine/layer_stack.cpp.o.modmap -o CMakeFiles/open_engine.dir/src/open_engine/layer_stack.cpp.o -c /home/erris/projects/open_engine/open_engine/src/open_engine/layer_stack.cpp",
  "file": "/home/erris/projects/open_engine/open_engine/src/open_engine/layer_stack.cpp",
  "output": "/home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/src/open_engine/layer_stack.cpp.o"
},
{
  "directory": "/home/erris/projects/open_engine/open_engine/build",
  "command": "/usr/bin/clang++ -DFMT_SHARED -DOE_ENABLE_ASSERTS -DSPDLOG_COMPILED_LIB -DSPDLOG_FMT_EXTERNAL -DSPDLOG_SHARED_LIB -I/home/erris/projects/open_engine/open_engine/include/open_engine -I/home/erris/projects/open_engine/open_engine/vendor/stb_image -I/home/erris/projects/open_engine/open_engine/include -I/home/erris/.conan2/p/b/imguic69fe98538919/p/include -I/home/erris/projects/open_engine/open_engine/vendor/glad/include -g -std=gnu++20 -Winvalid-pch -Xclang -include-pch -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx.pch -Xclang -include -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx @CMakeFiles/open_engine.dir/src/open_engine/logging.cpp.o.modmap -o CMakeFiles/open_engine.dir/src/open_engine/logging.cpp.o -c /home/erris/projects/open_engine/open_engine/src/open_engine/logging.cpp",
  "file": "/home/erris/projects/open_engine/open_engine/src/open_engine/logging.cpp",
  "output": "/home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/src/open_engine/logging.cpp.o"
},
{
  "directory": "/home/erris/projects/open_engine/open_engine/build",
  "command": "/usr/bin/clang++ -DFMT_SHARED -DOE_ENABLE_ASSERTS -DSPDLOG_COMPILED_LIB -DSPDLOG_FMT_EXTERNAL -DSPDLOG_SHARED_LIB -I/home/erris/projects/open_engine/open_engine/include/open_engine -I/home/erris/projects/open_engine/open_engine/vendor/stb_image -I/home/erris/projects/open_engine/open_engine/include -I/home/erris/.conan2/p/b/imguic69fe98538919/p/include -I/home/erris/projects/open_engine/open_engine/vendor/glad/include -g -std=gnu++20 -Winvalid-pch -Xclang -include-pch -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx.pch -Xclang -include -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx @CMakeFiles/open_engine.dir/src/open_engine/opengl/imgui_build.cpp.o.modmap -o CMakeFiles/open_engine.dir/src/open_engine/opengl/imgui_build.cpp.o -c /home/erris/projects/open_engine/open_engine/src/open_engine/opengl/imgui_build.cpp",
  "file": "/home/erris/projects/open_engine/open_engine/src/open_engine/opengl/imgui_build.cpp",
  "output": "/home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/src/open_engine/opengl/imgui_build.cpp.o"
},
{
  "directory": "/home/erris/projects/open_engine/open_engine/build",
  "command": "/usr/bin/clang++ -DFMT_SHARED -DOE_ENABLE_ASSERTS -DSPDLOG_COMPILED_LIB -DSPDLOG_FMT_EXTERNAL -DSPDLOG_SHARED_LIB -I/home/erris/projects/open_engine/open_engine/include/open_engine -I/home/erris/projects/open_engine/open_engine/vendor/stb_image -I/home/erris/projects/open_engine/open_engine/include -I/home/erris/.conan2/p/b/imguic69fe98538919/p/include -I/home/erris/projects/open_engine/open_engine/vendor/glad/include -g -std=gnu++20 -Winvalid-pch -Xclang -include-pch -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx.pch -Xclang -include -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx @CMakeFiles/open_engine.dir/src/open_engine/opengl/imgui_glfw.cpp.o.modmap -o CMakeFiles/open_engine.dir/src/open_engine/opengl/imgui_glfw.cpp.o -c /home/erris/projects/open_engine/open_engine/src/open_engine/opengl/imgui_glfw.cpp",
  "file": "/home/erris/projects/open_engine/open_engine/src/open_engine/opengl/imgui_glfw.cpp",
  "output": "/home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/src/open_engine/opengl/imgui_glfw.cpp.o"
},
{
  "directory": "/home/erris/projects/open_engine/open_engine/build",
  "command": "/usr/bin/clang++ -DFMT_SHARED -DOE_ENABLE_ASSERTS -DSPDLOG_COMPILED_LIB -DSPDLOG_FMT_EXTERNAL -DSPDLOG_SHARED_LIB -I/home/erris/projects/open_engine/open_engine/include/open_engine -I/home/erris/projects/open_engine/open_engine/vendor/stb_image -I/home/erris/projects/open_engine/open_engine/include -I/home/erris/.conan2/p/b/imguic69fe98538919/p/include -I/home/erris/projects/open_engine/open_engine/vendor/glad/include -g -std=gnu++20 -Winvalid-pch -Xclang -include-pch -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx.pch -Xclang -include -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx @CMakeFiles/open_engine.dir/src/open_engine/opengl/imgui_opengl.cpp.o.modmap -o CMakeFiles/open_engine.dir/src/open_engine/opengl/imgui_opengl.cpp.o -c /home/erris/projects/open_engine/open_engine/src/open_engine/opengl/imgui_opengl.cpp",
  "file": "/home/erris/projects/open_engine/open_engine/src/open_engine/opengl/imgui_opengl.cpp",
  "output": "/home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/src/open_engine/opengl/imgui_opengl.cpp.o"
},
{
  "directory": "/home/erris/projects/open_engine/open_engine/build",
  "command": "/usr/bin/clang++ -DFMT_SHARED -DOE_ENABLE_ASSERTS -DSPDLOG_COMPILED_LIB -DSPDLOG_FMT_EXTERNAL -DSPDLOG_SHARED_LIB -I/home/erris/projects/open_engine/open_engine/include/open_engine -I/home/erris/projects/open_engine/open_engine/vendor/stb_image -I/home/erris/projects/open_engine/open_engine/include -I/home/erris/.conan2/p/b/imguic69fe98538919/p/include -I/home/erris/projects/open_engine/open_engine/vendor/glad/include -g -std=gnu++20 -Winvalid-pch -Xclang -include-pch -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx.pch -Xclang -include -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx @CMakeFiles/open_engine.dir/src/open_engine/opengl/opengl_buffer.cpp.o.modmap -o CMakeFiles/open_engine.dir/src/open_engine/opengl/opengl_buffer.cpp.o -c /home/erris/projects/open_engine/open_engine/src/open_engine/opengl/opengl_buffer.cpp",
  "file": "/home/erris/projects/open_engine/open_engine/src/open_engine/opengl/opengl_buffer.cpp",
  "output": "/home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/src/open_engine/opengl/opengl_buffer.cpp.o"
},
{
  "directory": "/home/erris/projects/open_engine/open_engine/build",
  "command": "/usr/bin/clang++ -DFMT_SHARED -DOE_ENABLE_ASSERTS -DSPDLOG_COMPILED_LIB -DSPDLOG_FMT_EXTERNAL -DSPDLOG_SHARED_LIB -I/home/erris/projects/open_engine/open_engine/include/open_engine -I/home/erris/projects/open_engine/open_engine/vendor/stb_image -I/home/erris/projects/open_engine/open_engine/include -I/home/erris/.conan2/p/b/imguic69fe98538919/p/include -I/home/erris/projects/open_engine/open_engine/vendor/glad/include -g -std=gnu++20 -Winvalid-pch -Xclang -include-pch -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx.pch -Xclang -include -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx @CMakeFiles/open_engine.dir/src/open_engine/opengl/opengl_context.cpp.o.modmap -o CMakeFiles/open_engine.dir/src/open_engine/opengl/opengl_context.cpp.o -c /home/erris/projects/open_engine/open_engine/src/open_engine/opengl/opengl_context.cpp",
  "file": "/home/erris/projects/open_engine/open_engine/src/open_engine/opengl/opengl_context.cpp",
  "output": "/home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/src/open_engine/opengl/opengl_context.cpp.o"
},
{
  "directory": "/home/erris/projects/open_engine/open_engine/build",
  "command": "/usr/bin/clang++ -DFMT_SHARED -DOE_ENABLE_ASSERTS -DSPDLOG_COMPILED_LIB -DSPDLOG_FMT_EXTERNAL -DSPDLOG_SHARED_LIB -I/home/erris/projects/open_engine/open_engine/include/open_engine -I/home/erris/projects/open_engine/open_engine/vendor/stb_image -I/home/erris/projects/open_engine/open_engine/include -I/home/erris/.conan2/p/b/imguic69fe98538919/p/include -I/home/erris/projects/open_engine/open_engine/vendor/glad/include -g -std=gnu++20 -Winvalid-pch -Xclang -include-pch -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx.pch -Xclang -include -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx @CMakeFiles/open_engine.dir/src/open_engine/opengl/opengl_renderer_api.cpp.o.modmap -o CMakeFiles/open_engine.dir/src/open_engine/opengl/opengl_renderer_api.cpp.o -c /home/erris/projects/open_engine/open_engine/src/open_engine/opengl/opengl_renderer_api.cpp",
  "file": "/home/erris/projects/open_engine/open_engine/src/open_engine/opengl/opengl_renderer_api.cpp",
  "output": "/home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/src/open_engine/opengl/opengl_renderer_api.cpp.o"
},
{
  "directory": "/home/erris/projects/open_engine/open_engine/build",
  "command": "/usr/bin/clang++ -DFMT_SHARED -DOE_ENABLE_ASSERTS -DSPDLOG_COMPILED_LIB -DSPDLOG_FMT_EXTERNAL -DSPDLOG_SHARED_LIB -I/home/erris/projects/open_engine/open_engine/include/open_engine -I/home/erris/projects/open_engine/open_engine/vendor/stb_image -I/home/erris/projects/open_engine/open_engine/include -I/home/erris/.conan2/p/b/imguic69fe98538919/p/include -I/home/erris/projects/open_engine/open_engine/vendor/glad/include -g -std=gnu++20 -Winvalid-pch -Xclang -include-pch -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx.pch -Xclang -include -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx @CMakeFiles/open_engine.dir/src/open_engine/opengl/opengl_shader.cpp.o.modmap -o CMakeFiles/open_engine.dir/src/open_engine/opengl/opengl_shader.cpp.o -c /home/erris/projects/open_engine/open_engine/src/open_engine/opengl/opengl_shader.cpp",
  "file": "/home/erris/projects/open_engine/open_engine/src/open_engine/opengl/opengl_shader.cpp",
  "output": "/home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/src/open_engine/opengl/opengl_shader.cpp.o"
},
{
  "directory": "/home/erris/projects/open_engine/open_engine/build",
  "command": "/usr/bin/clang++ -DFMT_SHARED -DOE_ENABLE_ASSERTS -DSPDLOG_COMPILED_LIB -DSPDLOG_FMT_EXTERNAL -DSPDLOG_SHARED_LIB -I/home/erris/projects/open_engine/open_engine/include/open_engine -I/home/erris/projects/open_engine/open_engine/vendor/stb_image -I/home/erris/projects/open_engine/open_engine/include -I/home/erris/.conan2/p/b/imguic69fe98538919/p/include -I/home/erris/projects/open_engine/open_engine/vendor/glad/include -g -std=gnu++20 -Winvalid-pch -Xclang -include-pch -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx.pch -Xclang -include -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx @CMakeFiles/open_engine.dir/src/open_engine/opengl/opengl_texture.cpp.o.modmap -o CMakeFiles/open_engine.dir/src/open_engine/opengl/opengl_texture.cpp.o -c /home/erris/projects/open_engine/open_engine/src/open_engine/opengl/opengl_texture.cpp",
  "file": "/home/erris/projects/open_engine/open_engine/src/open_engine/opengl/opengl_texture.cpp",
  "output": "/home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/src/open_engine/opengl/opengl_texture.cpp.o"
},
{
  "directory": "/home/erris/projects/open_engine/open_engine/build",
  "command": "/usr/bin/clang++ -DFMT_SHARED -DOE_ENABLE_ASSERTS -DSPDLOG_COMPILED_LIB -DSPDLOG_FMT_EXTERNAL -DSPDLOG_SHARED_LIB -I/home/erris/projects/open_engine/open_engine/include/open_engine -I/home/erris/projects/open_engine/open_engine/vendor/stb_image -I/home/erris/projects/open_engine/open_engine/include -I/home/erris/.conan2/p/b/imguic69fe98538919/p/include -I/home/erris/projects/open_engine/open_engine/vendor/glad/include -g -std=gnu++20 -Winvalid-pch -Xclang -include-pch -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx.pch -Xclang -include -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx @CMakeFiles/open_engine.dir/src/open_engine/opengl/opengl_vertex_array.cpp.o.modmap -o CMakeFiles/open_engine.dir/src/open_engine/opengl/opengl_vertex_array.cpp.o -c /home/erris/projects/open_engine/open_engine/src/open_engine/opengl/opengl_vertex_array.cpp",
  "file": "/home/erris/projects/open_engine/open_engine/src/open_engine/opengl/opengl_vertex_array.cpp",
  "output": "/home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/src/open_engine/opengl/opengl_vertex_array.cpp.o"
},
{
  "directory": "/home/erris/projects/open_engine/open_engine/build",
  "command": "/usr/bin/clang++ -DFMT_SHARED -DOE_ENABLE_ASSERTS -DSPDLOG_COMPILED_LIB -DSPDLOG_FMT_EXTERNAL -DSPDLOG_SHARED_LIB -I/home/erris/projects/open_engine/open_engine/include/open_engine -I/home/erris/projects/open_engine/open_engine/vendor/stb_image -I/home/erris/projects/open_engine/open_engine/include -I/home/erris/.conan2/p/b/imguic69fe98538919/p/include -I/home/erris/projects/open_engine/open_engine/vendor/glad/include -g -std=gnu++20 -Winvalid-pch -Xclang -include-pch -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx.pch -Xclang -include -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx @CMakeFiles/open_engine.dir/src/open_engine/orthographic_camera.cpp.o.modmap -o CMakeFiles/open_engine.dir/src/open_engine/orthographic_camera.cpp.o -c /home/erris/projects/open_engine/open_engine/src/open_engine/orthographic_camera.cpp",
  "file": "/home/erris/projects/open_engine/open_engine/src/open_engine/orthographic_camera.cpp",
  "output": "/home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/src/open_engine/orthographic_camera.cpp.o"
},
{
  "directory": "/home/erris/projects/open_engine/open_engine/build",
  "command": "/usr/bin/clang++ -DFMT_SHARED -DOE_ENABLE_ASSERTS -DSPDLOG_COMPILED_LIB -DSPDLOG_FMT_EXTERNAL -DSPDLOG_SHARED_LIB -I/home/erris/projects/open_engine/open_engine/include/open_engine -I/home/erris/projects/open_engine/open_engine/vendor/stb_image -I/home/erris/projects/open_engine/open_engine/include -I/home/erris/.conan2/p/b/imguic69fe98538919/p/include -I/home/erris/projects/open_engine/open_engine/vendor/glad/include -g -std=gnu++20 -Winvalid-pch -Xclang -include-pch -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx.pch -Xclang -include -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx @CMakeFiles/open_engine.dir/src/open_engine/renderer/buffer.cpp.o.modmap -o CMakeFiles/open_engine.dir/src/open_engine/renderer/buffer.cpp.o -c /home/erris/projects/open_engine/open_engine/src/open_engine/renderer/buffer.cpp",
  "file": "/home/erris/projects/open_engine/open_engine/src/open_engine/renderer/buffer.cpp",
  "output": "/home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/src/open_engine/renderer/buffer.cpp.o"
},
{
  "directory": "/home/erris/projects/open_engine/open_engine/build",
  "command": "/usr/bin/clang++ -DFMT_SHARED -DOE_ENABLE_ASSERTS -DSPDLOG_COMPILED_LIB -DSPDLOG_FMT_EXTERNAL -DSPDLOG_SHARED_LIB -I/home/erris/projects/open_engine/open_engine/include/open_engine -I/home/erris/projects/open_engine/open_engine/vendor/stb_image -I/home/erris/projects/open_engine/open_engine/include -I/home/erris/.conan2/p/b/imguic69fe98538919/p/include -I/home/erris/projects/open_engine/open_engine/vendor/glad/include -g -std=gnu++20 -Winvalid-pch -Xclang -include-pch -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx.pch -Xclang -include -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx @CMakeFiles/open_engine.dir/src/open_engine/renderer/renderer.cpp.o.modmap -o CMakeFiles/open_engine.dir/src/open_engine/renderer/renderer.cpp.o -c /home/erris/projects/open_engine/open_engine/src/open_engine/renderer/renderer.cpp",
  "file": "/home/erris/projects/open_engine/open_engine/src/open_engine/renderer/renderer.cpp",
  "output": "/home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/src/open_engine/renderer/renderer.cpp.o"
},
{
  "directory": "/home/erris/projects/open_engine/open_engine/build",
  "command": "/usr/bin/clang++ -DFMT_SHARED -DOE_ENABLE_ASSERTS -DSPDLOG_COMPILED_LIB -DSPDLOG_FMT_EXTERNAL -DSPDLOG_SHARED_LIB -I/home/erris/projects/open_engine/open_engine/include/open_engine -I/home/erris/projects/open_engine/open_engine/vendor/stb_image -I/home/erris/projects/open_engine/open_engine/include -I/home/erris/.conan2/p/b/imguic69fe98538919/p/include -I/home/erris/projects/open_engine/open_engine/vendor/glad/include -g -std=gnu++20 -Winvalid-pch -Xclang -include-pch -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx.pch -Xclang -include -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx @CMakeFiles/open_engine.dir/src/open_engine/renderer/shader.cpp.o.modmap -o CMakeFiles/open_engine.dir/src/open_engine/renderer/shader.cpp.o -c /home/erris/projects/open_engine/open_engine/src/open_engine/renderer/shader.cpp",
  "file": "/home/erris/projects/open_engine/open_engine/src/open_engine/renderer/shader.cpp",
  "output": "/home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/src/open_engine/renderer/shader.cpp.o"
},
{
  "directory": "/home/erris/projects/open_engine/open_engine/build",
  "command": "/usr/bin/clang++ -DFMT_SHARED -DOE_ENABLE_ASSERTS -DSPDLOG_COMPILED_LIB -DSPDLOG_FMT_EXTERNAL -DSPDLOG_SHARED_LIB -I/home/erris/projects/open_engine/open_engine/include/open_engine -I/home/erris/projects/open_engine/open_engine/vendor/stb_image -I/home/erris/projects/open_engine/open_engine/include -I/home/erris/.conan2/p/b/imguic69fe98538919/p/include -I/home/erris/projects/open_engine/open_engine/vendor/glad/include -g -std=gnu++20 -Winvalid-pch -Xclang -include-pch -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx.pch -Xclang -include -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx @CMakeFiles/open_engine.dir/src/open_engine/renderer/texture.cpp.o.modmap -o CMakeFiles/open_engine.dir/src/open_engine/renderer/texture.cpp.o -c /home/erris/projects/open_engine/open_engine/src/open_engine/renderer/texture.cpp",
  "file": "/home/erris/projects/open_engine/open_engine/src/open_engine/renderer/texture.cpp",
  "output": "/home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/src/open_engine/renderer/texture.cpp.o"
},
{
  "directory": "/home/erris/projects/open_engine/open_engine/build",
  "command": "/usr/bin/clang++ -DFMT_SHARED -DOE_ENABLE_ASSERTS -DSPDLOG_COMPILED_LIB -DSPDLOG_FMT_EXTERNAL -DSPDLOG_SHARED_LIB -I/home/erris/projects/open_engine/open_engine/include/open_engine -I/home/erris/projects/open_engine/open_engine/vendor/stb_image -I/home/erris/projects/open_engine/open_engine/include -I/home/erris/.conan2/p/b/imguic69fe98538919/p/include -I/home/erris/projects/open_engine/open_engine/vendor/glad/include -g -std=gnu++20 -Winvalid-pch -Xclang -include-pch -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx.pch -Xclang -include -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx @CMakeFiles/open_engine.dir/src/open_engine/renderer/vertex_array.cpp.o.modmap -o CMakeFiles/open_engine.dir/src/open_engine/renderer/vertex_array.cpp.o -c /home/erris/projects/open_engine/open_engine/src/open_engine/renderer/vertex_array.cpp",
  "file": "/home/erris/projects/open_engine/open_engine/src/open_engine/renderer/vertex_array.cpp",
  "output": "/home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/src/open_engine/renderer/vertex_array.cpp.o"
},
{
  "directory": "/home/erris/projects/open_engine/open_engine/build",
  "command": "/usr/bin/clang++ -DFMT_SHARED -DOE_ENABLE_ASSERTS -DSPDLOG_COMPILED_LIB -DSPDLOG_FMT_EXTERNAL -DSPDLOG_SHARED_LIB -I/home/erris/projects/open_engine/open_engine/include/open_engine -I/home/erris/projects/open_engine/open_engine/vendor/stb_image -I/home/erris/projects/open_engine/open_engine/include -I/home/erris/.conan2/p/b/imguic69fe98538919/p/include -I/home/erris/projects/open_engine/open_engine/vendor/glad/include -g -std=gnu++20 -Winvalid-pch -Xclang -include-pch -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx.pch -Xclang -include -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx @CMakeFiles/open_engine.dir/src/open_engine/window/linux_window.cpp.o.modmap -o CMakeFiles/open_engine.dir/src/open_engine/window/linux_window.cpp.o -c /home/erris/projects/open_engine/open_engine/src/open_engine/window/linux_window.cpp",
  "file": "/home/erris/projects/open_engine/open_engine/src/open_engine/window/linux_window.cpp",
  "output": "/home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/src/open_engine/window/linux_window.cpp.o"
},
{
  "directory": "/home/erris/projects/open_engine/open_engine/build",
  "command": "/usr/bin/clang++ -DFMT_SHARED -DOE_ENABLE_ASSERTS -DSPDLOG_COMPILED_LIB -DSPDLOG_FMT_EXTERNAL -DSPDLOG_SHARED_LIB -I/home/erris/projects/open_engine/open_engine/include/open_engine -I/home/erris/projects/open_engine/open_engine/vendor/stb_image -I/home/erris/projects/open_engine/open_engine/include -I/home/erris/.conan2/p/b/imguic69fe98538919/p/include -I/home/erris/projects/open_engine/open_engine/vendor/glad/include -g -std=gnu++20 -Winvalid-pch -Xclang -include-pch -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx.pch -Xclang -include -Xclang /home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/cmake_pch.hxx @CMakeFiles/open_engine.dir/vendor/stb_image/stb_image.cpp.o.modmap -o CMakeFiles/open_engine.dir/vendor/stb_image/stb_image.cpp.o -c /home/erris/projects/open_engine/open_engine/vendor/stb_image/stb_image.cpp",
  "file": "/home/erris/projects/open_engine/open_engine/vendor/stb_image/stb_image.cpp",
  "output": "/home/erris/projects/open_engine/open_engine/build/CMakeFiles/open_engine.dir/vendor/stb_image/stb_image.cpp.o"
},
{
  "directory": "/home/erris/projects/open_engine/open_engine/build",
  "command": "/usr/bin/clang -DOE_ENABLE_ASSERTS -I/home/erris/projects/open_engine/open_engine/vendor/glad/include -g -o lib/CMakeFiles/glad.dir/src/glad/glad.c.o -c /home/erris/projects/open_engine/open_engine/vendor/glad/src/glad/glad.c",
  "file": "/home/erris/projects/open_engine/open_engine/vendor/glad/src/glad/glad.c",
  "output": "/home/erris/projects/open_engine/open_engine/build/lib/CMakeFiles/glad.dir/src/glad/glad.c.o"
}
]
